%global urlver	%(echo %{version} | tr . _)

Name:           rogueboxadventures
Version:        3.0.1
Release:        %mkrel 1
Summary:        Libre hybrid of classical roguelike gameplay and sandbox games
Group:          Games/Adventure
License:        GPLv3+ and CC-BY 3.0 and CC0 and OFL 1.1
URL:            https://rogueboxadventures.tuxfamily.org
# https://gitgud.io/themightyglider/RogueBoxAdventures
Source0:        https://download.tuxfamily.org/rba/RogueBoxAdventures_v%{urlver}_Source.zip

BuildArch:      noarch
BuildRequires:  python3
Requires:       python3-pygame

%description
RogueBox Adventures is a free (as in freedom) hybrid between classical
roguelike gameplay and sandbox games. Features:

- A fully procedural generated game world
- Easy to access (lightweight, easy to learn, keyboard, mouse and gamepad)
- Almost infinite possiblities (building, agriculture, crafting)
- Pixel art graphics

%prep
%autosetup -n RogueBoxAdventures_v%{urlver}_Source -p1

%build
# Nothing to do

%install
# First install everything, it's 99% game data
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a * %{buildroot}%{_gamesdatadir}/%{name}

# Remove unneeded files
pushd %{buildroot}%{_gamesdatadir}/%{name}
rm -f default.gcw0.desktop icon_big.png LIB/run_gcw0.sh README.md
rm -rf DOC LICENSE SAVE
popd

# Launcher
cat << EOF > %{name}.sh
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{__python3} main.py -h \$@
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

# Icons
install -D -m644 icon_big.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
install -D -m644 icon_small.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# Desktop file
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=RogueBox Adventures
Comment=Libre hybrid of classical roguelike gameplay and sandbox games
GenericName=Roguelike and sandbox game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

%files
%doc DOC/arguments README.md
%license LICENSE/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/


%changelog
* Sun May 24 2020 wally <wally> 3.0.1-1.mga8
+ Revision: 1587441
- new version 3.0.1
- switch to python3

* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-3.mga8
+ Revision: 1499571
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.1.1-2.mga7
+ Revision: 1274889
- Mageia 7 Mass Rebuild

* Sun Mar 19 2017 akien <akien> 2.1.1-1.mga6
+ Revision: 1093646
- imported package rogueboxadventures

